Bug 440106 - cascading (odd) errors
cascading (odd) errors
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 14:46 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 06:35:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
in git (1022 bytes, patch)
2008-04-04 04:39 EDT, Richard Hughes
no flags Details | Diff

  None (edit)
Description Bill Nottingham 2008-04-01 14:46:17 EDT
Description of problem:

I run, as me:

gpk-install-package ppp-devel libnl-devel openssl-devel

It sits, and churns for a while, and then pops up two dialogs:
...
<error> No package cache available 

Yum cache was invalid and has been rebuilt.
...

and

...
<warning> Failed to resolve

The package could not be found on the system
...

The second one of these seems especially odd - what's it looking on the system for?

Version-Release number of selected component (if applicable):

gnome-packagekit-0.1.11-0.518.20080401git.fc9.x86_64
Comment 1 Richard Hughes 2008-04-04 04:39:00 EDT
Created attachment 300395 [details]
in git

This is what I've added to packagekit upstream for now.
Comment 2 Richard Hughes 2008-04-04 04:44:14 EDT
-               gpk_error_modal_dialog (_("Failed to resolve"),
+               gpk_error_modal_dialog (_("Failed to find package"),
Comment 3 Richard Hughes 2008-04-17 06:35:36 EDT
FWIW, 0.2.0 gives much better messages. I've changed what I can while F9 is
still pointed at 0.1.x.

Note You need to log in before you can comment on or make changes to this bug.